# Authority: tlyons
# Upstream: 

%define __python_ver 26
%define __python /usr/bin/python%{__python_ver}

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%define real_name psutil

Name: python%{__python_ver}-psutil
Version: 0.4.1
Release: 1%{?dist}
Summary: Retrieve information on running processes and system utilization
Group: Development/Languages
License: BSD
URL: http://psutil.googlecode.com/files/%{real_name}-%{version}.tar.gz

Source: %{real_name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
#BuildArch: noarch

BuildRequires: python%{__python_ver}, python%{__python_ver}-devel
BuildRequires: python-setuptools

Provides: %{name} = %{version}-%{release}

%description
psutil is a module providing an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way by using Python, implementing many functionalities offered by command line tools.

%prep
%setup -n %{real_name}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CREDITS HISTORY README docs/*
#%{python_sitelib}/*
%{python_sitearch}/*

%changelog
* Mon Jan 30 2012 Todd Lyons <tlyons@ivenue.com> - 0.4.1-1iv
- Initial package.
